<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="48dp"
        android:background="@drawable/game_detail_more_dialog_background">

        <ImageView
            android:id="@+id/closeIv"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:padding="16dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/icon_close" />

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="添加游戏"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/secondary_title_text_size"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/closeIv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/closeIv" />

        <TextView
            android:id="@+id/saveTv"
            android:layout_width="81dp"
            android:layout_height="48dp"
            android:gravity="center"
            android:text="保存 (0)"
            android:textColor="@color/text_theme"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

        <View
            android:id="@+id/divider"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/ui_divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/closeIv" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/searchContainer"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginTop="8dp"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            android:paddingStart="16dp"
            android:paddingLeft="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/divider">

            <EditText
                android:id="@+id/search_input"
                android:layout_width="0dp"
                android:layout_height="32dp"
                android:background="@drawable/community_editor_insert_search_background"
                android:focusable="true"
                android:hint="输入搜索关键词"
                android:imeOptions="actionSearch"
                android:paddingLeft="38dp"
                android:paddingRight="12dp"
                android:singleLine="true"
                android:textColor="@color/text_primary"
                android:textColorHint="@color/text_C1BFC9"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/search_button"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/iv_search"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="12dp"
                android:layout_marginLeft="12dp"
                app:layout_constraintBottom_toBottomOf="@+id/search_input"
                app:layout_constraintStart_toStartOf="@+id/search_input"
                app:layout_constraintTop_toTopOf="@+id/search_input"
                app:srcCompat="@drawable/ic_add_games_search" />

            <ImageView
                android:id="@+id/search_back"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_marginTop="1dp"
                android:layout_marginBottom="1dp"
                android:paddingLeft="12dp"
                android:paddingRight="12dp"
                android:src="@drawable/community_invite_back"
                android:textColor="@color/white"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="@id/search_input"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/search_button"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center"
                android:paddingLeft="18dp"
                android:paddingRight="16dp"
                android:text="@string/libao_search"
                android:textColor="@color/text_theme"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <FrameLayout
        android:id="@+id/contentContainer"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@color/ui_surface" />
</LinearLayout>
